petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatSeqAIJRestoreArrayRead

restore the read-only access array obtained from MatSeqAIJGetArrayRead

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSeqAIJRestoreArrayRead(Mat A,const PetscScalar **array)

Not Collective

### Input Parameter

mat -a MATSEQAIJ matrix

### Output Parameter

array -pointer to the data

### See Also

MatSeqAIJGetArray(), MatSeqAIJGetArrayRead()

### Level

intermediate

### Location

src/mat/impls/aij/seq/aij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages